Package org.gradle.api.file

# Interface RegularFileProperty

All Superinterfaces:
  `Property<RegularFile>`, `Provider<RegularFile>`

All Known Subinterfaces:
  `RegularFileVar`

@Incubating public interface RegularFileProperty extends Provider<RegularFile>, Property<RegularFile>
Represents some configurable regular file location, whose value is mutable and not necessarily currently known until later.

Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.fileProperty()` method.

Since:
  4.3

## Method Summary

Modifier and Type
Method
Description
`Provider<File>`
`getAsFile()`
Views the location of this file as a `File`.
`void`
`set(File file)`
Sets the location of this file.

### Methods inherited from interface org.gradle.api.provider.Property

`set, set`

### Methods inherited from interface org.gradle.api.provider.Provider

`get, getOrElse, getOrNull, isPresent, map`

## Method Details

### getAsFile

Provider<File> getAsFile()
Views the location of this file as a `File`.

### set

void set(File file)
Sets the location of this file.